"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var ReplaySubject_1 = require("rxjs/ReplaySubject");
var base_component_1 = require("./base.component");
var base_filter_1 = require("../shared/base.filter");
var global_constants_1 = require("../../shared/global.constants");
var bit_toolbar_component_1 = require("../../shared/component/bit-toolbar.component");
/**
 * Clase base para implementar listados de elementos con paginación. Provee el 95% de la funcionalidad necesaria.
 */
var /**
 * Clase base para implementar listados de elementos con paginación. Provee el 95% de la funcionalidad necesaria.
 */
BaseListComponent = (function (_super) {
    __extends(BaseListComponent, _super);
    /** Constructor de la clase. */
    function BaseListComponent(dataService, messageService, activatedRoute, router, toolbarService, componentId, generalUtils, tableViewService) {
        var _this = _super.call(this, messageService, toolbarService, componentId) || this;
        _this.displayFilter = true;
        _this.breadcrumb = [];
        //heredado! status: PageStatus;  // determina en qué estado está la página: PageStatus.Init, PageStatus.SEARCHING, PageStatus.FINISH_SEARCH, PageStatus.ERROR
        _this.autoQuerySubject = new ReplaySubject_1.ReplaySubject(1);
        _this.customToolbarActions = {};
        _this.dataService = dataService;
        _this.toolbarService = toolbarService;
        _this.activatedRoute = activatedRoute;
        _this.router = router;
        _this.generalUtils = generalUtils;
        _this.tableViewService = tableViewService;
        //inicializamos los datos
        //inicializamos los datos
        _this.resetData();
        //mensajes para el footer
        //mensajes para el footer
        _this.messages = new Map();
        _this.messages.set(global_constants_1.PageStatus.Init, "Introdueixi els criteris de cerca i premi 'Cerca'");
        _this.messages.set(global_constants_1.PageStatus.Searching, "Cercant...");
        _this.messages.set(global_constants_1.PageStatus.FinishSearch, "No s'ha trobat cap dada amb les dades introduïdes");
        return _this;
    }
    /** Determina si se debe autoejecutar la búsqueda en función de si nos envían el parametro query=true en la URL */
    /** Determina si se debe autoejecutar la búsqueda en función de si nos envían el parametro query=true en la URL */
    BaseListComponent.prototype.init = /** Determina si se debe autoejecutar la búsqueda en función de si nos envían el parametro query=true en la URL */
    function (filter) {
        //¿ejecutamos el filtro?
        this.filter = filter;
        var query = this.activatedRoute.snapshot.params["query"];
        if (query == 'true') {
            console.log("autoquery en marcha");
            if (this.filter.pagina != base_filter_1.BaseFilter.PAGE || this.filter.resultados != base_filter_1.BaseFilter.RESULTADOS_PAGE) {
                this.autoQuerySubject.next(this.filter);
            }
            this.search();
        }
    };
    /** Resetea la página como si entráramos de nuevo en ella. */
    /** Resetea la página como si entráramos de nuevo en ella. */
    BaseListComponent.prototype.resetData = /** Resetea la página como si entráramos de nuevo en ella. */
    function () {
        _super.prototype.resetData.call(this);
        this.items = null;
        this.totalItems = 0;
        this.status = global_constants_1.PageStatus.Init;
        this.displayFilter = true;
        this.toolbar = {
            //opciones comunies del toolbar para los listados
            "filter": { enable: false, visible: true },
            "print": { enable: false, visible: true },
            "export": { enable: false, visible: true },
            "new": { enable: false, visible: false }
        };
        this.updateToolbar();
    };
    /** Se invocará cuando el componente paginator hijo nos comunique que el usuario ha cambiado el número de elementos a mostrar por página */
    /** Se invocará cuando el componente paginator hijo nos comunique que el usuario ha cambiado el número de elementos a mostrar por página */
    BaseListComponent.prototype.onNewPageSize = /** Se invocará cuando el componente paginator hijo nos comunique que el usuario ha cambiado el número de elementos a mostrar por página */
    function (pageSize) {
        this.filter.pagina = 1; // reseteamos a la página inicial
        this.filter.resultados = pageSize;
        this.search(false);
    };
    /** Se invocará cuando el componente paginator hijo nos comunique que el usuario ha cambiado el número de página a mostrar */
    /** Se invocará cuando el componente paginator hijo nos comunique que el usuario ha cambiado el número de página a mostrar */
    BaseListComponent.prototype.onPageChange = /** Se invocará cuando el componente paginator hijo nos comunique que el usuario ha cambiado el número de página a mostrar */
    function (page) {
        this.filter.pagina = page;
        this.search(false);
    };
    /** Cuando algún componente hijo como el filtro nos comunique que se debe realizar la búsqueda */
    /** Cuando algún componente hijo como el filtro nos comunique que se debe realizar la búsqueda */
    BaseListComponent.prototype.onSearch = /** Cuando algún componente hijo como el filtro nos comunique que se debe realizar la búsqueda */
    function (filter, count) {
        if (count === void 0) { count = true; }
        //no sabemos cuantos elementos tendremos aun. Ponerlo a undefined nos permite saber si lanzamos un count o nos quedamos con el numero de elemntos retornados
        this.totalItems = undefined;
        this.filter = filter;
        this.prepareDataForSubmit();
        this.autoQuerySubject.next(this.filter);
        this.search(count);
    };
    /** Cuando resetean el filtro de busqueda */
    /** Cuando resetean el filtro de busqueda */
    BaseListComponent.prototype.onReset = /** Cuando resetean el filtro de busqueda */
    function (filter) {
        this.filter = filter;
    };
    /** Cuando se pulsa un botón del toolbar */
    /** Cuando se pulsa un botón del toolbar */
    BaseListComponent.prototype.onToolbarButtonPressed = /** Cuando se pulsa un botón del toolbar */
    function (button) {
        console.log("Button pressed:" + button);
        if (this.customToolbarActions[button]) {
            this.customToolbarActions[button]();
        }
        else if (button === bit_toolbar_component_1.BitToolbarComponent.FILTER_BUTTON) {
            this.showFilter();
        }
        else if (button === bit_toolbar_component_1.BitToolbarComponent.PRINT_BUTTON) {
            this.handlePrint();
        }
        else if (button === bit_toolbar_component_1.BitToolbarComponent.EXPORT_BUTTON) {
            this.handleExport();
        }
        else if (button === bit_toolbar_component_1.BitToolbarComponent.NEW_BUTTON) {
            this.handleNew();
        }
        else {
            this.otherAction(button);
        }
    };
    BaseListComponent.prototype.handlePrint = function () {
        window.print();
    };
    BaseListComponent.prototype.handleExport = function () {
        if (this.tableViewService) {
            this.tableViewService.sendExportMessage();
        }
        else {
            alert("exportamos...proximamente");
        }
    };
    BaseListComponent.prototype.handleNew = function () {
        this.router.navigate(['form'], { relativeTo: this.activatedRoute });
    };
    /**cualquier otra accion que no sea la típica de guardar o eliminar */
    /**cualquier otra accion que no sea la típica de guardar o eliminar */
    BaseListComponent.prototype.otherAction = /**cualquier otra accion que no sea la típica de guardar o eliminar */
    function (button) {
        console.warn("otherAction " + button + " pressed");
    };
    BaseListComponent.prototype.initializeSearch = function (count) {
        // Inicializamos los datos básicos (solo si es necesario)
        if (count) {
            this.totalItems = 0;
        }
        this.status = global_constants_1.PageStatus.Searching;
    };
    /** Marca el estado como "búsqueda finalizada" (PageStatus.FinishSearch). */
    /** Marca el estado como "búsqueda finalizada" (PageStatus.FinishSearch). */
    BaseListComponent.prototype.finishSearch = /** Marca el estado como "búsqueda finalizada" (PageStatus.FinishSearch). */
    function () {
        this.status = global_constants_1.PageStatus.FinishSearch;
        //controlamos si tenemos que activar o desactivar los botones de toolbar print y export
        if (this.totalItems > 0) {
            //hay resulstados
            this.toolbar[bit_toolbar_component_1.BitToolbarComponent.PRINT_BUTTON].enable = true;
            this.toolbar[bit_toolbar_component_1.BitToolbarComponent.EXPORT_BUTTON].enable = true;
            this.hideFilter(); //en este método se envía el toolbar
        }
        else {
            this.toolbar[bit_toolbar_component_1.BitToolbarComponent.PRINT_BUTTON].enable = false;
            this.toolbar[bit_toolbar_component_1.BitToolbarComponent.EXPORT_BUTTON].enable = false;
            this.updateToolbar();
        }
    };
    /** Realiza la búsqueda filtrada de elementos. */
    /** Realiza la búsqueda filtrada de elementos. */
    BaseListComponent.prototype.search = /** Realiza la búsqueda filtrada de elementos. */
    function (count) {
        var _this = this;
        if (count === void 0) { count = true; }
        // Evitamos iniciar una nueva búsqueda cuando la anterior aún está en curso (p. ej., double click)
        if (this.status === global_constants_1.PageStatus.Searching) {
            return;
        }
        //inicializamos la búsqueda
        this.initializeSearch(count);
        // Consultamos los datos
        this.dataService.getAllByFilter(this.filter, this.paramsDataService)
            .subscribe(function (result) {
            _this.items = result;
            if (count) {
                _this.count();
            }
            else {
                // si no teníamos antes un total, es un listado no paginado y el total es la pagina actual
                // si no teníamos antes un total, es un listado no paginado y el total es la pagina actual
                _this.totalItems = _this.totalItems || _this.items.length;
                _this.finishSearch();
            }
            if (!_this.items || _this.items.length == 0) {
                _this.showFilter();
            }
        }, //finishSearch si no estamos pendiente de la cuenta
        //finishSearch si no estamos pendiente de la cuenta
        function (//finishSearch si no estamos pendiente de la cuenta
            error) { _this.status = global_constants_1.PageStatus.Error; _this.items = null; });
    };
    /** Realiza la búsqueda filtrada de elementos. */
    /** Realiza la búsqueda filtrada de elementos. */
    BaseListComponent.prototype.count = /** Realiza la búsqueda filtrada de elementos. */
    function () {
        var _this = this;
        this.dataService.countAllByFilter(this.filter, this.paramsDataService)
            .subscribe(function (result) {
            _this.totalItems = result == null ? 0 : result; //por alguna razón que desconozco el servidor envía un 0 pero el observable interpreta un null
            _this.finishSearch();
        }, function (error) { _this.status = global_constants_1.PageStatus.Error; _this.items = null; });
    };
    /** Muestra el filtro de búsqueda. */
    /** Muestra el filtro de búsqueda. */
    BaseListComponent.prototype.showFilter = /** Muestra el filtro de búsqueda. */
    function () {
        this.displayFilter = true;
        this.toolbar[bit_toolbar_component_1.BitToolbarComponent.FILTER_BUTTON].enable = false;
        this.updateToolbar();
    };
    /** Oculta el filtro de búsqueda. */
    /** Oculta el filtro de búsqueda. */
    BaseListComponent.prototype.hideFilter = /** Oculta el filtro de búsqueda. */
    function () {
        this.displayFilter = false;
        this.toolbar[bit_toolbar_component_1.BitToolbarComponent.FILTER_BUTTON].enable = true;
        this.updateToolbar();
    };
    return BaseListComponent;
}(base_component_1.BaseComponent));
exports.BaseListComponent = BaseListComponent;
//# sourceMappingURL=base-list.component.js.map