import { PageStatus } from '../../shared/global.constants';
import { MessageService } from '../../shared/service/message.service';
import { ToolbarService } from '../../shared/service/toolbar.service';
/**
 * Clase base mínima para cualquier componente.
 * @version 2.0
 */
export declare abstract class BaseComponent {
    protected toolbarService: ToolbarService;
    protected messageService: MessageService;
    status: PageStatus;
    componentId: string;
    toolbar: any;
    constructor(messageService: MessageService, toolbarService?: ToolbarService, componentId?: string);
    resetData(): void;
    updateToolbar(): void;
    converToDate(fecha: string): Date;
}
