import { OnInit, OnDestroy } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { Config } from '../shared/config';
import { ConfiguracionService } from '../../shared/service/configuracion.service';
import { MessageService } from '../../../shared/service/message.service';
import { ToolbarService } from '../../../shared/service/toolbar.service';
import { BaseFormComponent } from '../../../base/index';
/**
 * Componente que implementa un formulario para insertar, modificar, eliminar y/o consultar un elemento de tipo Usuario.
 */
export declare class ConfigFormComponent extends BaseFormComponent implements OnInit, OnDestroy {
    protected configService: ConfiguracionService;
    protected router: Router;
    protected activatedRoute: ActivatedRoute;
    protected messageService: MessageService;
    protected toolbarService: ToolbarService;
    private formBuilder;
    object: Config;
    private subscribeParams;
    constructor(configService: ConfiguracionService, router: Router, activatedRoute: ActivatedRoute, messageService: MessageService, toolbarService: ToolbarService, formBuilder: FormBuilder);
    /** Inicializa la ficha: lee el elemento con el id indicado e inicializa el componente. */
    ngOnInit(): void;
    /** Cierra la ficha: libera memoria, desvincula subscripciones, etc. */
    ngOnDestroy(): void;
    init(id: any): void;
    /** Limpia el formulario. */
    cleanForm(): void;
    /** Cierra el formulario y vuelve a la pantalla anterior. */
    goBack(): void;
    /** Información de debug. */
    readonly diagnostic: string;
}
