"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var router_1 = require("@angular/router");
var config_1 = require("../shared/config");
var configuracion_service_1 = require("../../shared/service/configuracion.service");
var index_1 = require("../../../shared/index");
var message_service_1 = require("../../../shared/service/message.service");
var toolbar_service_1 = require("../../../shared/service/toolbar.service");
var index_2 = require("../../../base/index");
/**
 * Componente que implementa un formulario para insertar, modificar, eliminar y/o consultar un elemento de tipo Usuario.
 */
var ConfigFormComponent = (function (_super) {
    __extends(ConfigFormComponent, _super);
    function ConfigFormComponent(configService, router, activatedRoute, messageService, toolbarService, formBuilder) {
        var _this = _super.call(this, configService, router, activatedRoute, messageService, toolbarService) || this;
        _this.configService = configService;
        _this.router = router;
        _this.activatedRoute = activatedRoute;
        _this.messageService = messageService;
        _this.toolbarService = toolbarService;
        _this.formBuilder = formBuilder;
        _this.object = config_1.Config.newObject();
        _this.myForm = _this.formBuilder.group({
            'codigo': [_this.object.codigo, [forms_1.Validators.required, index_1.CustomValidators.etiquetaValidator]],
            'valor': [_this.object.valor, []]
        });
        return _this;
    }
    /** Inicializa la ficha: lee el elemento con el id indicado e inicializa el componente. */
    /** Inicializa la ficha: lee el elemento con el id indicado e inicializa el componente. */
    ConfigFormComponent.prototype.ngOnInit = /** Inicializa la ficha: lee el elemento con el id indicado e inicializa el componente. */
    function () {
        var _this = this;
        var id;
        this.subscribeParams = this.activatedRoute.params.subscribe(function (params) {
            _this.init(params['id']);
        });
    };
    /** Cierra la ficha: libera memoria, desvincula subscripciones, etc. */
    /** Cierra la ficha: libera memoria, desvincula subscripciones, etc. */
    ConfigFormComponent.prototype.ngOnDestroy = /** Cierra la ficha: libera memoria, desvincula subscripciones, etc. */
    function () {
        if (this.subscribeParams) {
            this.subscribeParams.unsubscribe(); // necesario para evitar memory leaks
        }
    };
    ConfigFormComponent.prototype.init = function (id) {
        _super.prototype.init.call(this, id);
        //definimos la miga de pan en el OnInit porque necesitamos saber si estamos editando o creando un unevo usuario
        this.breadcrumb = [];
        this.breadcrumb.push({ label: 'Desenvolupament' });
        this.breadcrumb.push({ label: 'Configuració', url: 'developer/config' });
        if (!id) {
            this.breadcrumb.push({ label: 'Nou paràmetre' });
        }
        else {
            this.breadcrumb.push({ label: "Edició de paràmetre" });
        }
    };
    /** Limpia el formulario. */
    /** Limpia el formulario. */
    ConfigFormComponent.prototype.cleanForm = /** Limpia el formulario. */
    function () {
        _super.prototype.cleanForm.call(this);
        this.object = config_1.Config.newObject();
    };
    /** Cierra el formulario y vuelve a la pantalla anterior. */
    /** Cierra el formulario y vuelve a la pantalla anterior. */
    ConfigFormComponent.prototype.goBack = /** Cierra el formulario y vuelve a la pantalla anterior. */
    function () {
        this.router.navigate(['developer/config']);
    };
    Object.defineProperty(ConfigFormComponent.prototype, "diagnostic", {
        /** Información de debug. */
        get: /** Información de debug. */
        function () { return JSON.stringify(this.object); },
        enumerable: true,
        configurable: true
    });
    ConfigFormComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'config-form',
                    template: "\n      <bit-header [breadcrumb]=\"breadcrumb\" (onToolbarButtonPressed)=\"onToolbarButtonPressed($event)\"></bit-header>\n\n      <form role=\"form\" [formGroup]=\"myForm\" (submit)=\"save()\">\n\n          <div class=\"form-group has-feedback\" id=\"seccion_0\">\n              <p-accordion class=\"acordeon\" [multiple]=\"true\">\n                  <p-accordionTab header=\"Dades del paràmetre\" [selected]=\"true\">\n                      <div class=\"row separador\">\n                          <div class=\"col-sm-12\">\n                              <bit-input [readOnly]=\"isEditMode\" [(ngModel)]=\"object.codigo\" nombre=\"codigo\" [control]=\"myForm.controls.codigo\" formControlName=\"codigo\" tipo=\"text\">&nbsp;&nbsp;Codi</bit-input>\n                          </div>\n                      </div>\n                      <div class=\"row separador\">\n                          <div class=\"col-sm-12\">\n                              <bit-input [(ngModel)]=\"object.valor\" nombre=\"valor\" [control]=\"myForm.controls.valor\" formControlName=\"valor\" tipo=\"textarea\">&nbsp;&nbsp;Valor</bit-input>\n                          </div>\n                      </div>\n                  </p-accordionTab>\n              </p-accordion>\n          </div>\n      </form>\n\n      <bit-footer [paginator]=\"false\" type=\"form\" [status]=\"status\" [messages]=\"messages\"></bit-footer>\n    "
                },] },
    ];
    /** @nocollapse */
    ConfigFormComponent.ctorParameters = function () { return [
        { type: configuracion_service_1.ConfiguracionService, },
        { type: router_1.Router, },
        { type: router_1.ActivatedRoute, },
        { type: message_service_1.MessageService, },
        { type: toolbar_service_1.ToolbarService, },
        { type: forms_1.FormBuilder, },
    ]; };
    return ConfigFormComponent;
}(index_2.BaseFormComponent));
exports.ConfigFormComponent = ConfigFormComponent;
//# sourceMappingURL=config-form.component.js.map