"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var ConfigListTableViewComponent = (function () {
    function ConfigListTableViewComponent(router, activatedRoute) {
        this.router = router;
        this.activatedRoute = activatedRoute;
    }
    ConfigListTableViewComponent.prototype.gotoForm = function (event) {
        this.router.navigate(['form', event.data.id], { relativeTo: this.activatedRoute }); //, {relativeTo: this.activatedRoute}
    };
    ConfigListTableViewComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'config-list-tableview',
                    template: "\n        <p-dataTable [value]=\"items\" (onRowClick)=\"gotoForm($event)\" selectionMode=\"single\" *ngIf=\"(items != null && items.length > 0)\">\n            <p-column field=\"codigo\" header=\"Codi\" [sortable]=\"true\"></p-column>\n            <p-column field=\"valor\" header=\"Valor\" [sortable]=\"true\"></p-column>\n        </p-dataTable> \n     "
                },] },
    ];
    /** @nocollapse */
    ConfigListTableViewComponent.ctorParameters = function () { return [
        { type: router_1.Router, },
        { type: router_1.ActivatedRoute, },
    ]; };
    ConfigListTableViewComponent.propDecorators = {
        "items": [{ type: core_1.Input },],
    };
    return ConfigListTableViewComponent;
}());
exports.ConfigListTableViewComponent = ConfigListTableViewComponent;
//# sourceMappingURL=config-list-tableview.component.js.map