"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var configuracion_service_1 = require("../../shared/service/configuracion.service");
var config_filter_1 = require("../shared/config.filter");
var index_1 = require("../../../base/index");
var toolbar_service_1 = require("../../../shared/service/toolbar.service");
var message_service_1 = require("../../../shared/service/message.service");
var index_2 = require("../../../shared/index");
var ConfigListComponent = (function (_super) {
    __extends(ConfigListComponent, _super);
    // Tenemos una referencia al componente hijo que contiene el filtro 
    //@ViewChild(TipoDatoListFilterComponent) tipoDatoListFilterComponent: TipoDatoListFilterComponent;
    function ConfigListComponent(configService, messageService, toolbarService, activatedRoute, router) {
        var _this = _super.call(this, configService, messageService, activatedRoute, router, toolbarService) || this;
        _this.configService = configService;
        _this.messageService = messageService;
        _this.toolbarService = toolbarService;
        _this.activatedRoute = activatedRoute;
        _this.router = router;
        _this.breadcrumb.push({ label: 'Desenvolupament' });
        _this.breadcrumb.push({ label: 'Configuració' });
        return _this;
    }
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    ConfigListComponent.prototype.ngOnInit = /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    function () {
        _super.prototype.init.call(this, config_filter_1.ConfigFilter.newObject());
        this.toolbar[index_2.BitToolbarComponent.NEW_BUTTON].enable = true;
        this.toolbar[index_2.BitToolbarComponent.NEW_BUTTON].visible = true;
        this.toolbar[index_2.BitToolbarComponent.NEW_BUTTON].estilo = "fa fa-database";
        this.updateToolbar();
        this.search(false); // no hay filtro ni paginación, buscamos nada más entrar
    };
    ConfigListComponent.prototype.prepareDataForSubmit = function () { };
    ConfigListComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'config-list',
                    template: "\n        <bit-header [breadcrumb]=\"breadcrumb\" (onToolbarButtonPressed)=\"onToolbarButtonPressed($event)\"></bit-header>\n        <config-list-tableview [items]=items></config-list-tableview> \n        <bit-footer [autoQueryObs]=\"autoQuerySubject.asObservable()\" [totalItems]=\"totalItems\" [status]=\"status\" type=\"list\" [paginator]=\"true\" (onPageChange)=\"onPageChange($event)\" (onNewPageSize)=\"onNewPageSize($event)\"></bit-footer>\n    "
                },] },
    ];
    /** @nocollapse */
    ConfigListComponent.ctorParameters = function () { return [
        { type: configuracion_service_1.ConfiguracionService, },
        { type: message_service_1.MessageService, },
        { type: toolbar_service_1.ToolbarService, },
        { type: router_1.ActivatedRoute, },
        { type: router_1.Router, },
    ]; };
    return ConfigListComponent;
}(index_1.BaseListComponent));
exports.ConfigListComponent = ConfigListComponent;
//# sourceMappingURL=config-list.component.js.map