"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var index_1 = require("../../base/index");
var index_2 = require("../../base/index");
var log_exception_filter_1 = require("../shared/data/log-exception.filter");
var index_3 = require("../../shared/index");
var message_service_1 = require("../../shared/service/message.service");
var session_shared_service_1 = require("../../shared/service/session-shared.service");
var ExceptionListFilterComponent = (function (_super) {
    __extends(ExceptionListFilterComponent, _super);
    function ExceptionListFilterComponent(formBuilder, messageService, sessionShared) {
        var _this = _super.call(this) || this;
        _this.formBuilder = formBuilder;
        _this.messageService = messageService;
        _this.sessionShared = sessionShared;
        //gestión del filtro
        //gestión del filtro
        _this.filter = _this.sessionShared.get("EXCEPTION_FILTER");
        if (_this.filter === undefined) {
            _this.filter = _this.createNewFilter();
            _this.filter.pagina = index_1.BaseFilter.PAGE;
            _this.filter.resultados = index_1.BaseFilter.RESULTADOS_PAGE;
            _this.sessionShared.set("EXCEPTION_FILTER", _this.filter);
        }
        //construimos el form
        //construimos el form         
        _this.myForm = formBuilder.group({
            'fecha': [_this.filter.fecha, [forms_1.Validators.required, index_3.CustomValidators.dataValidator]],
            'desde': [_this.filter.desde, [forms_1.Validators.required]],
            //CustomValidators.timeValidator
            'hasta': [_this.filter.hasta, [forms_1.Validators.required]]
        });
        return _this;
    }
    /** Crea un nuevo filtro para realizar la búsqueda */
    /** Crea un nuevo filtro para realizar la búsqueda */
    ExceptionListFilterComponent.prototype.createNewFilter = /** Crea un nuevo filtro para realizar la búsqueda */
    function () {
        return log_exception_filter_1.LogExceptionFilter.newObject();
    };
    ExceptionListFilterComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'exception-list-filter',
                    template: "\n      <!-- Contenedor del filtro de búsqueda simple (siempre visible en pantalla) -->\n      <div class=\"panel panel-filtro\" [hidden]=\"!displayFilter\">\n          <div class=\"panel-heading\">\n              <i></i>&nbsp;&nbsp;&nbsp;Filtre de cerca\n          </div>\n          <form role=\"form\" [formGroup]=\"myForm\" (submit)=\"submit(myForm.value)\">\n              <div class=\"panel-body\">\n                  <div class=\"row\">\n                      <div class=\"col-xs-3\">\n                          <bit-input [(ngModel)]=\"filter.fecha\" [nombre]=\"'fecha'\" [control]=\"myForm.controls.fecha\" formControlName=\"fecha\" [tipo]=\"'date'\">&nbsp;&nbsp;Data</bit-input>\n                      </div> \n                      <div class=\"col-xs-3\">\n                          <bit-input [(ngModel)]=\"filter.desde\" [nombre]=\"'desde'\" [control]=\"myForm.controls.desde\" formControlName=\"desde\" [tipo]=\"'time'\">&nbsp;&nbsp;Des de</bit-input>\n                      </div>\n                      <div class=\"col-xs-3\">\n                          <bit-input [(ngModel)]=\"filter.hasta\" [nombre]=\"'hasta'\" [control]=\"myForm.controls.hasta\" formControlName=\"hasta\" [tipo]=\"'time'\">&nbsp;&nbsp;Fins a</bit-input>\n                      </div>\n                      <div class=\"col-xs-3\">\n                          <bit-input [(ngModel)]=\"filter.login\" [nombre]=\"'login'\" [ngModelOptions]=\"{standalone: true}\" [tipo]=\"'text'\">&nbsp;&nbsp;Login</bit-input>\n                      </div>\n                  </div>\n              </div>\n              <div class=\"panel-footer text-center\">\n                  <div class=\"btn-group\" role=\"group\">\n                      <button type=\"reset\" (click)=\"resetFilter()\" class=\"btn btn-default\">Neteja&nbsp;&nbsp;<span class=\"glyphicon glyphicon-erase\"></span></button>\n                  </div>\n                  <div class=\"btn-group\" role=\"group\">\n                      <button type=\"submit\" class=\"btn btn-success\">Cerca&nbsp;&nbsp;<span class=\"glyphicon glyphicon-search\"></span></button>\n                  </div>\n              </div>\n          </form>\n      </div>\n    "
                },] },
    ];
    /** @nocollapse */
    ExceptionListFilterComponent.ctorParameters = function () { return [
        { type: forms_1.FormBuilder, },
        { type: message_service_1.MessageService, },
        { type: session_shared_service_1.SessionSharedService, },
    ]; };
    return ExceptionListFilterComponent;
}(index_2.BaseFilterComponent));
exports.ExceptionListFilterComponent = ExceptionListFilterComponent;
//# sourceMappingURL=exception-list-filter.component.js.map