"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var message_service_1 = require("../../shared/service/message.service");
var index_1 = require("../../shared/index");
var ExceptionListTableViewComponent = (function () {
    function ExceptionListTableViewComponent(messageService) {
        this.messageService = messageService;
    }
    /** Muestra los datos de log en un diálogo*/
    /** Muestra los datos de log en un diálogo*/
    ExceptionListTableViewComponent.prototype.showDatosLog = /** Muestra los datos de log en un diálogo*/
    function (event, log, titulo) {
        var width = index_1.BitMessage.WIDTH;
        if (titulo === 'Error') {
            width = 800;
        }
        this.messageService.sendMessage(new index_1.BitMessage(titulo, log, width));
    };
    ExceptionListTableViewComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'exception-list-tableview',
                    template: "\n<p-dataTable [value]=\"items\" *ngIf=\"(items != null && items.length > 0)\">\n    <p-column field=\"login\" header=\"Login\" [sortable]=\"true\"></p-column>\n    <p-column field=\"concepto\" header=\"Concepto\" [sortable]=\"true\"></p-column>\n    <p-column field=\"tipo\" header=\"Operaci\u00F3n\" [sortable]=\"true\"></p-column>\n    <p-column field=\"fecha\" header=\"Hora\" [sortable]=\"true\">\n        <ng-template let-log=\"rowData\" pTemplate type=\"body\">\n            <span>{{log.fecha | date:\"HH:mm\"}}</span>\n        </ng-template>\n    </p-column> \n    <p-column styleClass=\"col-button\">\n        <ng-template let-log=\"rowData\" pTemplate type=\"body\">            \n            <div class=\"btn-group\" role=\"group\">\n                <button *ngIf=\"log.error\" class=\"btn btn-danger btn-xs\" (click)=\"showDatosLog($event,log.error,'Error');\"> Error&nbsp;&nbsp;<span class=\"glyphicon glyphicon-alert\"></span>\n                </button>\n            </div>\n        </ng-template>\n    </p-column>\n</p-dataTable>    \n     "
                },] },
    ];
    /** @nocollapse */
    ExceptionListTableViewComponent.ctorParameters = function () { return [
        { type: message_service_1.MessageService, },
    ]; };
    ExceptionListTableViewComponent.propDecorators = {
        "items": [{ type: core_1.Input },],
    };
    return ExceptionListTableViewComponent;
}());
exports.ExceptionListTableViewComponent = ExceptionListTableViewComponent;
//# sourceMappingURL=exception-list-tableview.component.js.map