import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ExceptionListFilterComponent } from './exception-list-filter.component';
import { BaseListComponent } from '../../base/index';
import { DeveloperService } from '../shared/service/developer.service';
import { MessageService } from '../../shared/service/message.service';
import { ToolbarService } from '../../shared/service/toolbar.service';
/**
 * Componente que implementa el listado de errores de aplicación para auditoría.
 * Permite consultar las exception que se han producido en la App.
 **/
export declare class ExceptionListComponent extends BaseListComponent implements OnInit {
    protected developerService: DeveloperService;
    protected messageService: MessageService;
    protected toolbarService: ToolbarService;
    protected activatedRoute: ActivatedRoute;
    protected router: Router;
    exceptionListFilterComponent: ExceptionListFilterComponent;
    constructor(developerService: DeveloperService, messageService: MessageService, toolbarService: ToolbarService, activatedRoute: ActivatedRoute, router: Router);
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    ngOnInit(): any;
    /** Preparampos los datos antes de enviarlos al servidor */
    prepareDataForSubmit(): void;
}
