"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var exception_list_filter_component_1 = require("./exception-list-filter.component");
var index_1 = require("../../base/index");
var developer_service_1 = require("../shared/service/developer.service");
var message_service_1 = require("../../shared/service/message.service");
var toolbar_service_1 = require("../../shared/service/toolbar.service");
/**
 * Componente que implementa el listado de errores de aplicación para auditoría.
 * Permite consultar las exception que se han producido en la App.
 **/
var ExceptionListComponent = (function (_super) {
    __extends(ExceptionListComponent, _super);
    function ExceptionListComponent(developerService, messageService, toolbarService, activatedRoute, router) {
        var _this = _super.call(this, developerService, messageService, activatedRoute, router) || this;
        _this.developerService = developerService;
        _this.messageService = messageService;
        _this.toolbarService = toolbarService;
        _this.activatedRoute = activatedRoute;
        _this.router = router;
        _this.breadcrumb.push({ label: 'Developer' });
        _this.breadcrumb.push({ label: 'Exceptions' });
        return _this;
    }
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    ExceptionListComponent.prototype.ngOnInit = /** Tenemos que ver si activamos la autobúsqueda entre otras cosas */
    function () {
        _super.prototype.init.call(this, this.exceptionListFilterComponent.filter);
    };
    /** Preparampos los datos antes de enviarlos al servidor */
    /** Preparampos los datos antes de enviarlos al servidor */
    ExceptionListComponent.prototype.prepareDataForSubmit = /** Preparampos los datos antes de enviarlos al servidor */
    function () {
        // nothing to do
    };
    ExceptionListComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'exception-list',
                    template: "   \n   <bit-header [breadcrumb]=breadcrumb (onToolbarButtonPressed)=\"onToolbarButtonPressed($event)\"></bit-header>\n   <exception-list-filter [displayFilter]=\"true\" (onSearch)=\"onSearch($event)\" (onReset)=onReset($event)></exception-list-filter>\n   <exception-list-tableview [items]=items></exception-list-tableview>\n   <bit-footer [autoQueryObs]=\"autoQuerySubject.asObservable()\" [totalItems]=\"totalItems\" [status]=\"status\" type=\"list\" [paginator]=\"true\" (onPageChange)=\"onPageChange($event)\" (onNewPageSize)=\"onNewPageSize($event)\"></bit-footer>\n   "
                },] },
    ];
    /** @nocollapse */
    ExceptionListComponent.ctorParameters = function () { return [
        { type: developer_service_1.DeveloperService, },
        { type: message_service_1.MessageService, },
        { type: toolbar_service_1.ToolbarService, },
        { type: router_1.ActivatedRoute, },
        { type: router_1.Router, },
    ]; };
    ExceptionListComponent.propDecorators = {
        "exceptionListFilterComponent": [{ type: core_1.ViewChild, args: [exception_list_filter_component_1.ExceptionListFilterComponent,] },],
    };
    return ExceptionListComponent;
}(index_1.BaseListComponent));
exports.ExceptionListComponent = ExceptionListComponent;
//# sourceMappingURL=exception-list.component.js.map