import { OnInit } from '@angular/core';
import { FormBuilder, FormControl } from '@angular/forms';
import { HQL } from '../shared/data/hql';
import { PageStatus } from '../../shared/index';
import { MessageService } from '../../shared/service/message.service';
import { DeveloperService } from '../shared/service/developer.service';
/**
 * Clase que implementa la consulta de información con consultas HQL.
 */
export declare class HQLComponent implements OnInit {
    private developerService;
    private formBuilder;
    private messageService;
    breadcrumb: any;
    status: PageStatus;
    messages: Map<PageStatus, string>;
    hql: HQL;
    hqlControl: FormControl;
    /** Constructor de la clase. */
    constructor(developerService: DeveloperService, formBuilder: FormBuilder, messageService: MessageService);
    /** Inicializa la ficha: define la validación. */
    ngOnInit(): any;
    /** Inicializa el componente. */
    init(): void;
    /** Envía la consulta/ejecución de HQL. */
    sendSHQL(esHQL: boolean, execute: boolean): void;
    /** Limpia la información de consulta/ejecución. */
    resetForm(): void;
    /** Flag: la página está realizando la búsqueda. */
    readonly searchInitiated: boolean;
    /** Flag: la página está realizando la búsqueda. */
    readonly searching: boolean;
    /** Flag: la página ha finalizado la última búsqueda. */
    readonly searchFinished: boolean;
    /** Información de debug. */
    readonly diagnostic: string;
}
