"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var index_1 = require("../../base/index");
var log_service_1 = require("../shared/service/log.service");
var log_filter_1 = require("../shared/data/log.filter");
var message_service_1 = require("../../shared/service/message.service");
/**
 * Componente que implementa el listado de log para auditoría.
 * Permite consultar todas las acciones que han realizad o los usuarios en la aplicación.
 **/
var LogListNoFiltroComponent = (function (_super) {
    __extends(LogListNoFiltroComponent, _super);
    function LogListNoFiltroComponent(logService, messageService, activatedRoute, router) {
        var _this = _super.call(this, logService, messageService, activatedRoute, router) || this;
        _this.logService = logService;
        _this.messageService = messageService;
        _this.activatedRoute = activatedRoute;
        _this.router = router;
        return _this;
    }
    /** Construimos un filtro manual, desactivamos el botón de filtro del toolbar y buscamos 50 elementos sin paginación*/
    /** Construimos un filtro manual, desactivamos el botón de filtro del toolbar y buscamos 50 elementos sin paginación*/
    LogListNoFiltroComponent.prototype.ngOnInit = /** Construimos un filtro manual, desactivamos el botón de filtro del toolbar y buscamos 50 elementos sin paginación*/
    function () {
        this.filter = new log_filter_1.LogFilter("", "", "", "", null, false, 50, 1);
        this.toolbar["filter"].visible = false;
        this.search();
    };
    /** Preparampos los datos antes de enviarlos al servidor */
    /** Preparampos los datos antes de enviarlos al servidor */
    LogListNoFiltroComponent.prototype.prepareDataForSubmit = /** Preparampos los datos antes de enviarlos al servidor */
    function () {
        // nothing to do
    };
    LogListNoFiltroComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'log-list',
                    template: "   \n   <bit-header [toolbar]=toolbar (onToolbarButtonPressed)=\"onToolbarButtonPressed($event)\"></bit-header>\n   <log-list-tableview [items]=items></log-list-tableview>\n   <bit-footer [autoQueryObs]=\"autoQuerySubject.asObservable()\" [totalItems]=\"totalItems\" [status]=\"status\"></bit-footer>\n   "
                },] },
    ];
    /** @nocollapse */
    LogListNoFiltroComponent.ctorParameters = function () { return [
        { type: log_service_1.LogService, },
        { type: message_service_1.MessageService, },
        { type: router_1.ActivatedRoute, },
        { type: router_1.Router, },
    ]; };
    return LogListNoFiltroComponent;
}(index_1.BaseListComponent));
exports.LogListNoFiltroComponent = LogListNoFiltroComponent;
//# sourceMappingURL=log-list-nofiltro.component.js.map