"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var message_service_1 = require("../../shared/service/message.service");
var index_1 = require("../../shared/index");
var LogListTableViewComponent = (function () {
    function LogListTableViewComponent(messageService) {
        this.messageService = messageService;
    }
    /** Muestra los datos de log en un diálogo*/
    /** Muestra los datos de log en un diálogo*/
    LogListTableViewComponent.prototype.showDatosLog = /** Muestra los datos de log en un diálogo*/
    function (event, log, titulo) {
        var width = index_1.BitMessage.WIDTH;
        var json = true;
        if (titulo === 'Error') {
            width = 800;
            json = false;
        }
        var bitMessage = new index_1.BitMessage(titulo, log, width);
        bitMessage.json = json;
        this.messageService.sendMessage(bitMessage);
    };
    LogListTableViewComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'log-list-tableview',
                    template: "\n<p-dataTable [value]=\"items\" *ngIf=\"(items != null && items.length > 0)\">\n    <p-column field=\"login\" header=\"Login\" [sortable]=\"true\"></p-column>\n    <p-column field=\"concepto\" header=\"Concepto\" [sortable]=\"true\"></p-column>\n    <p-column field=\"tipo\" header=\"Operaci\u00F3n\" [sortable]=\"true\"></p-column>\n    <p-column field=\"fecha\" header=\"Hora\" [sortable]=\"true\">\n        <ng-template let-log=\"rowData\" pTemplate type=\"body\">\n            <span>{{log.fecha | date:\"HH:mm\"}}</span>\n        </ng-template>\n    </p-column> \n    <p-column styleClass=\"col-button\">\n        <ng-template let-log=\"rowData\" pTemplate type=\"body\">\n            <div class=\"btn-group\" role=\"group\">\n                <button [disabled]=\"!log.datos\" class=\"btn btn-default btn-xs\"  (click)=\"showDatosLog($event,log.datos,'Dades enviades');\">Enviat&nbsp;&nbsp;<span class=\"glyphicon glyphicon-log-in\"></span></button>\n            </div>\n            <div class=\"btn-group\" role=\"group\">\n                <button *ngIf=\"!log.error\" class=\"btn btn-default btn-xs\" (click)=\"showDatosLog($event,log.respuesta,'Resposta');\"> Resposta&nbsp;&nbsp;<span class=\"glyphicon glyphicon-log-out\"></span>\n                </button>\n                <button *ngIf=\"log.error\" class=\"btn btn-danger btn-xs\" (click)=\"showDatosLog($event,log.error,'Error');\"> Error&nbsp;&nbsp;<span class=\"glyphicon glyphicon-alert\"></span>\n                </button>\n            </div>\n        </ng-template>\n    </p-column>\n</p-dataTable>\n    "
                },] },
    ];
    /** @nocollapse */
    LogListTableViewComponent.ctorParameters = function () { return [
        { type: message_service_1.MessageService, },
    ]; };
    LogListTableViewComponent.propDecorators = {
        "items": [{ type: core_1.Input },],
    };
    return LogListTableViewComponent;
}());
exports.LogListTableViewComponent = LogListTableViewComponent;
//# sourceMappingURL=log-list-tableview.component.js.map