import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { LogListFilterComponent } from './log-list-filter.component';
import { BaseListComponent } from '../../base/index';
import { LogService } from '../shared/service/log.service';
import { MessageService } from '../../shared/service/message.service';
import { ToolbarService } from '../../shared/service/toolbar.service';
/**
 * Componente que implementa el listado de log para auditoría.
 * Permite consultar todas las acciones que han realizad o los usuarios en la aplicación.
 **/
export declare class LogListComponent extends BaseListComponent implements OnInit {
    protected logService: LogService;
    protected messageService: MessageService;
    protected activatedRoute: ActivatedRoute;
    protected router: Router;
    protected toolbarService: ToolbarService;
    logListFilterComponent: LogListFilterComponent;
    constructor(logService: LogService, messageService: MessageService, activatedRoute: ActivatedRoute, router: Router, toolbarService: ToolbarService);
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas. Pasamos el objeto filtro de nuestro hijo para realizar esa
     * hipotética autobúsqueda
     */
    ngOnInit(): any;
    /** Preparampos los datos antes de enviarlos al servidor */
    prepareDataForSubmit(): void;
}
