"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var log_list_filter_component_1 = require("./log-list-filter.component");
var index_1 = require("../../base/index");
var log_service_1 = require("../shared/service/log.service");
var message_service_1 = require("../../shared/service/message.service");
var toolbar_service_1 = require("../../shared/service/toolbar.service");
/**
 * Componente que implementa el listado de log para auditoría.
 * Permite consultar todas las acciones que han realizad o los usuarios en la aplicación.
 **/
var LogListComponent = (function (_super) {
    __extends(LogListComponent, _super);
    function LogListComponent(logService, messageService, activatedRoute, router, toolbarService) {
        var _this = _super.call(this, logService, messageService, activatedRoute, router, toolbarService) || this;
        _this.logService = logService;
        _this.messageService = messageService;
        _this.activatedRoute = activatedRoute;
        _this.router = router;
        _this.toolbarService = toolbarService;
        _this.breadcrumb.push({ label: 'Desenvolupament', url: 'developer/exceptions' }); //es un ejemplo
        _this.breadcrumb.push({ label: 'Log' });
        return _this;
    }
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas. Pasamos el objeto filtro de nuestro hijo para realizar esa
     * hipotética autobúsqueda
     */
    /** Tenemos que ver si activamos la autobúsqueda entre otras cosas. Pasamos el objeto filtro de nuestro hijo para realizar esa
         * hipotética autobúsqueda
         */
    LogListComponent.prototype.ngOnInit = /** Tenemos que ver si activamos la autobúsqueda entre otras cosas. Pasamos el objeto filtro de nuestro hijo para realizar esa
         * hipotética autobúsqueda
         */
    function () {
        _super.prototype.init.call(this, this.logListFilterComponent.filter);
    };
    /** Preparampos los datos antes de enviarlos al servidor */
    /** Preparampos los datos antes de enviarlos al servidor */
    LogListComponent.prototype.prepareDataForSubmit = /** Preparampos los datos antes de enviarlos al servidor */
    function () {
        // nothing to do
    };
    LogListComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'log-list',
                    template: "   \n    <bit-header [breadcrumb]=breadcrumb (onToolbarButtonPressed)=\"onToolbarButtonPressed($event)\"></bit-header>\n    <log-list-filter [displayFilter]=\"true\" (onSearch)=\"onSearch($event)\" (onReset)=onReset($event)></log-list-filter>\n    <log-list-tableview [items]=items></log-list-tableview>  \n    <bit-footer [autoQueryObs]=\"autoQuerySubject.asObservable()\" [totalItems]=\"totalItems\" [status]=\"status\" type=\"list\" [paginator]=\"true\" (onPageChange)=\"onPageChange($event)\" (onNewPageSize)=\"onNewPageSize($event)\"></bit-footer>\n    "
                },] },
    ];
    /** @nocollapse */
    LogListComponent.ctorParameters = function () { return [
        { type: log_service_1.LogService, },
        { type: message_service_1.MessageService, },
        { type: router_1.ActivatedRoute, },
        { type: router_1.Router, },
        { type: toolbar_service_1.ToolbarService, },
    ]; };
    LogListComponent.propDecorators = {
        "logListFilterComponent": [{ type: core_1.ViewChild, args: [log_list_filter_component_1.LogListFilterComponent,] },],
    };
    return LogListComponent;
}(index_1.BaseListComponent));
exports.LogListComponent = LogListComponent;
//# sourceMappingURL=log-list.component.js.map