import { Observable } from 'rxjs/Observable';
import { Domain } from '../../../shared/index';
import { BaseCRUDService } from '../../../base/shared/base.service';
import { HttpUtilsService } from '../../../shared/service/http-utils.service';
import { MessageService } from '../../../shared/service/message.service';
import { DomainCachedService } from '../../../shared/service/domain-cached.service';
import { SessionSharedService } from '../../../shared/service/session-shared.service';
/**
 Servicio que devuelve parámetros de configuración.
 */
export declare class ConfiguracionService extends BaseCRUDService {
    protected messageService: MessageService;
    protected http: HttpUtilsService;
    protected domainService: DomainCachedService;
    protected sessionShared: SessionSharedService;
    static STATIC_URL: string;
    protected baseUrl: string;
    constructor(messageService: MessageService, http: HttpUtilsService, domainService: DomainCachedService, sessionShared: SessionSharedService);
    getAllConfiguracion(): Observable<Domain[]>;
}
