"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_utils_service_1 = require("../../../shared/service/http-utils.service");
var message_service_1 = require("../../../shared/service/message.service");
var base_service_1 = require("../../../base/shared/base.service");
var DeveloperService = (function (_super) {
    __extends(DeveloperService, _super);
    function DeveloperService(messageService, http) {
        var _this = _super.call(this, messageService, http) || this;
        _this.messageService = messageService;
        _this.http = http;
        _this.baseUrl = 'desarrollo';
        _this.hqlUrl = _this.baseUrl + '/hql';
        _this.sqlUrl = _this.baseUrl + '/sql';
        _this.hqlExecuteUrl = _this.baseUrl + '/hql/execute';
        _this.sqlExecuteUrl = _this.baseUrl + '/sql/execute';
        _this.countAllExceptionsByFilterUrl = _this.baseUrl + '/exceptions/count';
        _this.getAllExceptionsByFilterUrl = _this.baseUrl + '/exceptions/filter';
        return _this;
    }
    DeveloperService.prototype.sendSHQL = function (esHQL, hqlRequest, execute) {
        var url;
        if (esHQL) {
            url = (execute) ? this.hqlExecuteUrl : this.hqlUrl;
        }
        else {
            url = (execute) ? this.sqlExecuteUrl : this.sqlUrl;
        }
        return this.http.getHttpPost(url, hqlRequest);
    };
    DeveloperService.prototype.getAllByFilter = function (logFilter) {
        return this.http.getHttpPost(this.getAllExceptionsByFilterUrl, logFilter);
    };
    DeveloperService.prototype.countAllByFilter = function (logFilter) {
        return this.http.getHttpPost(this.countAllExceptionsByFilterUrl, logFilter);
    };
    DeveloperService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    DeveloperService.ctorParameters = function () { return [
        { type: message_service_1.MessageService, },
        { type: http_utils_service_1.HttpUtilsService, },
    ]; };
    return DeveloperService;
}(base_service_1.BaseCRUDService));
exports.DeveloperService = DeveloperService;
//# sourceMappingURL=developer.service.js.map