"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var upload_service_1 = require("../../shared/service/upload.service");
var message_service_1 = require("../../shared/service/message.service");
var index_1 = require("../../shared/index");
var UploadComponent = (function () {
    function UploadComponent(uploadService, messageService) {
        this.uploadService = uploadService;
        this.messageService = messageService;
    }
    UploadComponent.prototype.fileChange = function (files) {
        this.filesToUpload = files;
    };
    UploadComponent.prototype.submit = function () {
        var _this = this;
        this.uploadService.upload(null, this.filesToUpload, {}).then(function (result) {
            console.log(result);
            _this.messageService.sendNotification(new index_1.BitMessage("Informació", result));
        }, function (error) {
            console.log(error);
            var objError = JSON.parse(error);
            _this.messageService.sendNotification(new index_1.BitMessage("Error", objError.text, undefined, undefined, undefined, index_1.BitMessage.ERROR));
        });
    };
    Object.defineProperty(UploadComponent.prototype, "noFiles", {
        get: function () {
            return (this.filesToUpload == null || (this.filesToUpload != null && this.filesToUpload.length == 0));
        },
        enumerable: true,
        configurable: true
    });
    UploadComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'upload',
                    template: "\n      <div class=\"container\">\n          <div class=\"row cotainer-bread-btn\">\n            <div class=\"col-xs-6\">\n              <!-- ruta de donde nos encontramos (miga de pan) -->\n              <ol class=\"breadcrumb\">\n                <li>Upload</li>\n                <li class=\"active\">Pujada de fitxers</li>\n              </ol>\n            </div>\n            <div class=\"col-xs-6\">\n              <!-- botnera de acciones -->\n\n        \n            </div>\n          </div>\n      </div>\n      <div class=\"row\">\n          <div class=\"col-xs-12\">\n              <form method=\"post\" enctype=\"multipart/form-data\" (submit)=\"submit()\">\n                  <div class=\"form-group\" >\n                      <h4 class=\"seccion\">Multiple upload</h4>\n                      <div class=\"row separador\">\n                          <div class=\"col-xs-12\">\n                            <bit-upload (onFileChange)=\"fileChange($event)\" [showFiles]=true></bit-upload>\n                          </div>\n                      </div>\n                      <div class=\"row separador\">\n                          <div class=\"col-xs-12 text-center\">\n                              <button type=\"submit\" [disabled]=\"noFiles\" class=\"btn btn-default\">Upload&nbsp;&nbsp;<span class=\"glyphicon glyphicon-cloud-upload\"></span></button>\n                          </div>\n                      </div> \n                  </div>\n              </form>\n          </div>\n      </div>\n    "
                },] },
    ];
    /** @nocollapse */
    UploadComponent.ctorParameters = function () { return [
        { type: upload_service_1.UploadService, },
        { type: message_service_1.MessageService, },
    ]; };
    return UploadComponent;
}());
exports.UploadComponent = UploadComponent;
//# sourceMappingURL=upload.component.js.map