import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
/**
* Componenente que muestra la miga de pan en función de los datos de entrada. Estos datos corresponden con
* un array de objetos que tendrán tres campos: label, url y params. El label debe ser obligatorio y corresponde con la
* información en pantalla a mostrar. La url y params son opcionales y correposnden con la dirección a la que el usuario podrá ir
* si pulsa en ella.
* Ejemplos: [
*              {label: 'Desenvolupament', url: 'developer/exceptions'},
*              {label: 'Log'},
*              {label: 'Usuaris', url: 'mantenimiento/users', params: {query: 'true'}}
*            ]
**/
export declare class BitBreadCrumbComponent implements OnInit {
    protected router: Router;
    bc: any[];
    constructor(router: Router);
    /** Comprobamos si los datos de entrada no están definidos para inicializarlos en blanco */
    ngOnInit(): void;
    /** Vamos a la URL que contenga el path */
    goAddress(path: any): boolean;
}
