"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
/**
* Componenente que muestra la miga de pan en función de los datos de entrada. Estos datos corresponden con
* un array de objetos que tendrán tres campos: label, url y params. El label debe ser obligatorio y corresponde con la
* información en pantalla a mostrar. La url y params son opcionales y correposnden con la dirección a la que el usuario podrá ir
* si pulsa en ella.
* Ejemplos: [
*              {label: 'Desenvolupament', url: 'developer/exceptions'},
*              {label: 'Log'},
*              {label: 'Usuaris', url: 'mantenimiento/users', params: {query: 'true'}}
*            ]
**/
var BitBreadCrumbComponent = (function () {
    function BitBreadCrumbComponent(router) {
        this.router = router;
    }
    /** Comprobamos si los datos de entrada no están definidos para inicializarlos en blanco */
    /** Comprobamos si los datos de entrada no están definidos para inicializarlos en blanco */
    BitBreadCrumbComponent.prototype.ngOnInit = /** Comprobamos si los datos de entrada no están definidos para inicializarlos en blanco */
    function () {
        if (this.bc == undefined)
            this.bc = [];
        if (this.bc.length == 0)
            this.bc.push({ label: ' ' });
    };
    /** Vamos a la URL que contenga el path */
    /** Vamos a la URL que contenga el path */
    BitBreadCrumbComponent.prototype.goAddress = /** Vamos a la URL que contenga el path */
    function (path) {
        if (path.params) {
            this.router.navigate([path.url, path.params]);
        }
        else {
            this.router.navigate([path.url]);
        }
        return false; //para evitar que navegue al href="#"
    };
    BitBreadCrumbComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-breadcrumb',
                    template: "\n<ol class=\"breadcrumb\"> \n    <li [class.active]=\"i == (bc.length - 1)\" *ngFor=\"let path of bc; let i=index\">\n        <a *ngIf=\"i < (bc.length - 1) && path.url\" (click)=\"goAddress(path);\" href=\"#\">{{path.label}}</a>\n        <span *ngIf=\"i == (bc.length - 1) || !path.url\">{{path.label}}</span>\n    </li>\n</ol>\n"
                },] },
    ];
    /** @nocollapse */
    BitBreadCrumbComponent.ctorParameters = function () { return [
        { type: router_1.Router, },
    ]; };
    BitBreadCrumbComponent.propDecorators = {
        "bc": [{ type: core_1.Input, args: ["breadcrumb",] },],
    };
    return BitBreadCrumbComponent;
}());
exports.BitBreadCrumbComponent = BitBreadCrumbComponent;
//# sourceMappingURL=bit-breadcrumb.component.js.map