"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var custom_validators_service_1 = require("../service/custom-validators.service");
var focus_service_1 = require("../service/focus.service");
//inputs: ['control: control', 'onField: onField'],
var BitControlMessages = (function () {
    //constructor( @Host() private formDir: FormGroup) { }
    function BitControlMessages(focusService) {
        this.focusService = focusService;
    }
    Object.defineProperty(BitControlMessages.prototype, "errorMessage", {
        get: function () {
            if (this.focusService.getFocusedElement() !== this.field) {
                for (var propertyName in this.control.errors) {
                    // If control has a error
                    if (this.control.errors.hasOwnProperty(propertyName) && this.control.touched) {
                        // Return the appropriate error message from the Validation Service
                        return custom_validators_service_1.CustomValidators.getValidatorErrorMessage(propertyName);
                    }
                }
                return null;
            }
        },
        enumerable: true,
        configurable: true
    });
    BitControlMessages.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'control-messages',
                    template: "<div *ngIf=\"errorMessage !== null\"><span class=\"mensaje-error-input\">{{errorMessage}}</span></div>"
                },] },
    ];
    /** @nocollapse */
    BitControlMessages.ctorParameters = function () { return [
        { type: focus_service_1.FocusService, },
    ]; };
    BitControlMessages.propDecorators = {
        "control": [{ type: core_1.Input },],
        "field": [{ type: core_1.Input },],
    };
    return BitControlMessages;
}());
exports.BitControlMessages = BitControlMessages;
//# sourceMappingURL=bit-control-messages.component.js.map