"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var message_service_1 = require("../service/message.service");
var bitmessage_1 = require("../data/bitmessage");
var BitDialogComponent = (function () {
    function BitDialogComponent(messageService) {
        var _this = this;
        this.display = false;
        this.height = 200;
        //console.log("DialogComponent contructor(" + messageService  + ")");
        //Nos suscribimos a la espera de que envíen mensajes
        this.subscriptionMessages = messageService.observableMessages.subscribe(function (message) {
            _this.showMessage(message);
        });
        this.subscriptionErrors = messageService.observableErrors.subscribe(function (message) {
            _this.showError(message);
        });
    }
    BitDialogComponent.prototype.ngOnInit = function () {
        //inicializamos el objeto para que no pete el template
        this.message = new bitmessage_1.BitMessage('', '');
    };
    BitDialogComponent.prototype.showMessage = function (message) {
        this.message = message;
        if (this.message.json) {
            try {
                var json = eval("(" + this.message.message + ")"); //{"w":1, "b":'foo', "c":[false,'false',null, 'null', {"d":{"e":1.3e5,"f":'2.3e5'}}]};
                this.message.message = JSON.stringify(json, undefined, 2);
            }
            catch (error) {
                console.warn("No pudo convertirse a JSON la información del log");
            }
        }
        console.log(this.message.message);
        (message.height === 0) ? this.message.height = this.calculateHeightNumber() : undefined;
        this.display = true;
    };
    BitDialogComponent.prototype.showError = function (error) {
        this.showMessage(new bitmessage_1.BitMessage("Error accediendo a " + error.url, error.textCA, 1024, 600, false, bitmessage_1.BitMessage.ERROR, error.trazaError));
    };
    Object.defineProperty(BitDialogComponent.prototype, "isSeverityInfo", {
        get: function () {
            return this.message && this.message.severity === 'info';
        },
        enumerable: true,
        configurable: true
    });
    /**
     * Calcula la altura del diálogo en función de la información a mostrar.
     * TODO: Contar las líneas reales del mensaje en vez de la longitud
     */
    /**
     * Calcula la altura del diálogo en función de la información a mostrar.
     * TODO: Contar las líneas reales del mensaje en vez de la longitud
     */
    BitDialogComponent.prototype.calculateHeightNumber = /**
     * Calcula la altura del diálogo en función de la información a mostrar.
     * TODO: Contar las líneas reales del mensaje en vez de la longitud
     */
    function () {
        var msj = this.message.message;
        if (msj) {
            if (msj.length < 100) {
                return 100;
            }
            else if (msj.length < 200) {
                return 200;
            }
            else if (msj.length < 300) {
                return 300;
            }
            else if (msj.length < 400) {
                return 400;
            }
            else {
                return 500;
            }
        }
        else {
            this.message.message = BitDialogComponent.MENSAJE_VOID;
            return 100;
        }
    };
    BitDialogComponent.prototype.ngOnDestroy = function () {
        // prevent memory leak when component destroyed
        this.subscriptionMessages.unsubscribe();
    };
    BitDialogComponent.prototype.syntaxHighlight = function (json) {
        if (typeof json != 'string') {
            json = JSON.stringify(json, undefined, 2);
        }
        json = json.replace(/&/g, '&amp;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
        return json.replace(/("(\\u[a-zA-Z0-9]{4}|\\[^u]|[^\\"])*"(\s*:)?|\b(true|false|null)\b|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?)/g, function (match) {
            var cls = 'number';
            if (/^"/.test(match)) {
                if (/:$/.test(match)) {
                    cls = 'key';
                }
                else {
                    cls = 'string';
                }
            }
            else if (/true|false/.test(match)) {
                cls = 'boolean';
            }
            else if (/null/.test(match)) {
                cls = 'null';
            }
            return '<span class="' + cls + '">' + match + '</span>';
        });
    };
    BitDialogComponent.MENSAJE_VOID = "No hi ha dades per mostrar";
    BitDialogComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-dialog',
                    template: "\n  <p-dialog *ngIf=\"!isSeverityInfo\" class=\"scroll-y scroll-{{message.height}}\" width=\"{{message.width}}\" header=\"{{message.title}}\" [(visible)]=\"display\" [modal]=\"message.modal\" showEffect=\"fade\">\n     <p class=\"mensaje-dialogo\">{{message.message}}</p>\n     <span *ngIf=\"message.masInfo\"><pre>{{message.masInfo}}</pre></span>\n     <footer>\n        <div class=\"ui-dialog-buttonpane ui-widget-content ui-helper-clearfix\">&nbsp;</div>\n     </footer>\n  </p-dialog>\n  <p-dialog *ngIf=\"isSeverityInfo && !message.json\" class=\"scroll-y scroll-{{message.height}}\" width=\"{{message.width}}\" header=\"{{message.title}}\" [(visible)]=\"display\" [modal]=\"message.modal\" showEffect=\"fade\">\n     <p class=\"mensaje-dialogo\" [innerHTML]=\"message.message\"></p>         \n  </p-dialog>\n  <p-dialog *ngIf=\"message.json\" class=\"scroll-y scroll-{{message.height}}\" width=\"{{message.width}}\" header=\"{{message.title}}\" [(visible)]=\"display\" [modal]=\"message.modal\" showEffect=\"fade\">\n     <pre [innerHTML]=\"syntaxHighlight(message.message)\"></pre>         \n  </p-dialog>\n"
                },] },
    ];
    /** @nocollapse */
    BitDialogComponent.ctorParameters = function () { return [
        { type: message_service_1.MessageService, },
    ]; };
    return BitDialogComponent;
}());
exports.BitDialogComponent = BitDialogComponent;
//# sourceMappingURL=bit-dialog.component.js.map