"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var BitDomainValueComponent = (function () {
    function BitDomainValueComponent() {
        this.translatedValue = 'carregant...';
        this.emptyText = "";
    }
    BitDomainValueComponent.prototype.ngOnChanges = function () {
        // cada vez que cambia algo en el input, recalculamos
        this.translatedValue = this.resolveTranslatedValue();
    };
    BitDomainValueComponent.prototype.resolveTranslatedValue = function () {
        var _this = this;
        // buscar traducción para el valor en el dominio
        var domainMatch = this.data && this.data.find(function (obj) { return obj.value == _this.value; });
        if (domainMatch) {
            return domainMatch.label;
        }
        else if (this.value) {
            return new String("??" + this.value + "??");
        }
        else {
            return this.emptyText;
        }
    };
    BitDomainValueComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-domain-value',
                    template: "\n<span>{{translatedValue}}</span>\n"
                },] },
    ];
    /** @nocollapse */
    BitDomainValueComponent.ctorParameters = function () { return []; };
    BitDomainValueComponent.propDecorators = {
        "value": [{ type: core_1.Input },],
        "emptyText": [{ type: core_1.Input },],
        "data": [{ type: core_1.Input },],
    };
    return BitDomainValueComponent;
}());
exports.BitDomainValueComponent = BitDomainValueComponent;
//# sourceMappingURL=bit-domain-value.component.js.map