import { OnInit, OnChanges, AfterViewInit, EventEmitter, SimpleChange } from '@angular/core';
import { Paginator } from 'primeng/primeng';
import { Observable } from 'rxjs/Observable';
import { PageStatus } from '../global.constants';
import { BaseFilter } from '../../base/shared/base.filter';
/**
* Componenente que muestra un paginador en la sección footer.
**/
export declare class BitFooterComponent implements OnInit, OnChanges, AfterViewInit {
    static TYPE_LIST: string;
    static TYPE_FORM: string;
    static TYPE_BLANK: string;
    pc: Paginator;
    autoQueryObs: Observable<BaseFilter>;
    totalItems: number;
    paginator: boolean;
    mostrarAvisos: boolean;
    fixed: boolean;
    pageLinkSize: number;
    itemsPerPage: number;
    status: PageStatus;
    typeFooter: string;
    messages: Map<PageStatus, string>;
    onPageChange: EventEmitter<number>;
    onNewPageSize: EventEmitter<number>;
    private baseItemsPerPage;
    ngOnInit(): void;
    /**
    * Cuando tengamos la referncia al componente paginator nos suscribimos al observable para recibir la notificación
    * de que se ha realizado una autobúsqueda con una página y/o resultados por página diferente al estándar
    */
    ngAfterViewInit(): void;
    /**
     * Escucharemos a cambios en las propiedades totalItems para actualizar el paginador con respecto a las páginas que mostramos
     */
    ngOnChanges(changes: {
        [propKey: string]: SimpleChange;
    }): void;
    /** Calcula el número de enlaces visibles en el paginador (en el rango entre 1 y 20). */
    calculatePageLinkSize(): void;
    /** Establece el número de página en la visualización de resultados. Se invoca cuando el usuario cambia el número de resultados a mostrar o cambia de página */
    paginate(event: any): void;
    getStyle(): "footer navbar-fixed-bottom" | "footer";
    /** Flag: la página está realizando la búsqueda. */
    readonly searchInitiated: boolean;
    /** Flag: la página está realizando la búsqueda. */
    readonly searching: boolean;
    /** Flag: la página ha finalizado la última búsqueda. */
    readonly searchFinished: boolean;
    /** Flag: la página está en modo solo lectura */
    readonly readOnly: boolean;
    /** Flag: la página ha finalizado con error */
    readonly error: boolean;
    /** Flag: encontrado resultado. */
    readonly foundResult: boolean;
    /** Flag: no hay resultados. */
    readonly emptyResult: boolean;
    readonly initMessage: string;
    readonly searchingMessage: string;
    readonly finishMessage: string;
    readonly readOnlyMessage: string;
}
