"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var fichero_1 = require("../data/fichero");
var bitmessage_1 = require("../data/bitmessage");
var upload_service_1 = require("../service/upload.service");
var message_service_1 = require("../service/message.service");
var BitFormUploadComponent = (function () {
    function BitFormUploadComponent(uploadService, messageService) {
        this.uploadService = uploadService;
        this.messageService = messageService;
        this.id = "file";
        this.onFilesUpload = new core_1.EventEmitter();
        this.uploading = false;
        this.resetUpload = new core_1.EventEmitter();
    }
    BitFormUploadComponent.prototype.ngOnInit = function () { };
    BitFormUploadComponent.prototype.fileChange = function (files) {
        this.filesToUpload = files;
    };
    // para utilizar desde la propia plantilla
    // para utilizar desde la propia plantilla
    BitFormUploadComponent.prototype.downloadUrl = 
    // para utilizar desde la propia plantilla
    function (id) {
        return BitFormUploadComponent.getUrlDownloadFile(id);
    };
    // para utilizar desde otro componente
    // para utilizar desde otro componente
    BitFormUploadComponent.getUrlDownloadFile = 
    // para utilizar desde otro componente
    function (id) {
        return '/bitcita/api/services/ficheros/download/' + id;
    };
    BitFormUploadComponent.prototype.submit = function () {
        var _this = this;
        console.log("submit upload files");
        this.uploading = true;
        this.uploadService.upload(null, this.filesToUpload, this.params).then(function (result) {
            _this.uploading = false;
            console.log(result);
            var jsonArray = eval("(" + result + ")");
            //this.messageService.sendNotification(new BitMessage("Informació", "S'ha pujat el fitxer correctament al servidor"));
            //this.messageService.sendNotification(new BitMessage("Informació", "S'ha pujat el fitxer correctament al servidor"));
            _this.resetUpload.emit(true); //comunicamos a bit-upload que resetee la información de los ficheros cargados
            _this.onFilesUpload.emit(jsonArray); //comunicamos hacia arriba el resultado satisfactorio de la operación
            if (_this.multiple) {
                _this.fileList = jsonArray;
            }
            else {
                _this.simpleFile = jsonArray[0];
            }
        }, function (error) {
            _this.uploading = false;
            console.log(error);
            var objError = JSON.parse(error);
            _this.messageService.sendNotification(new bitmessage_1.BitMessage("Error", objError.text, undefined, undefined, undefined, bitmessage_1.BitMessage.ERROR));
            _this.onFilesUpload.emit(null);
            _this.fileList = [];
            _this.simpleFile = null;
        });
    };
    BitFormUploadComponent.createNewParamsObject = function (tipoFichero) {
        var paramsUploadFile = {};
        paramsUploadFile['tipoFichero'] = tipoFichero;
        return paramsUploadFile;
    };
    BitFormUploadComponent.addCarpetaToParamsObject = function (paramsUploadFile, carpeta) {
        paramsUploadFile['carpeta'] = carpeta;
    };
    BitFormUploadComponent.addIdToParamsObject = function (paramsUploadFile, id) {
        paramsUploadFile['id'] = id;
    };
    BitFormUploadComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-form-upload',
                    template: "\n    <form method=\"post\" enctype=\"multipart/form-data\" (submit)=\"submit()\" style=\"display: inline;\">\n        <div *ngIf=\"fileList != null && fileList.length > 0 && showFiles && multiple\" class=\"col-sm-4\">\n            <a *ngFor=\"let file of fileList; let i=index;\" \n                target=\"_blank\" href=\"{{downloadUrl(file.id)}}\">\n                {{file.nombre}}\n            </a>\n        </div>\n        <div *ngIf=\"simpleFile != null && showFiles && !multiple\" class=\"col-sm-4\">\n            <a target=\"_blank\" href=\"{{downloadUrl(simpleFile.id)}}\">\n                {{simpleFile.nombre}}\n            </a>\n        </div>\n        <div *ngIf=\"!soloLectura\" class=\"col-sm-8\">\n            <bit-upload \n                [uploading]=uploading\n                [reset]=\"resetUpload\" \n                (onFileChange)=\"fileChange($event)\" \n                [showFiles]=true \n                [multiple]=multiple \n                [id]=\"id\">\n            </bit-upload>\n        </div>\n    </form>\n"
                },] },
    ];
    /** @nocollapse */
    BitFormUploadComponent.ctorParameters = function () { return [
        { type: upload_service_1.UploadService, },
        { type: message_service_1.MessageService, },
    ]; };
    BitFormUploadComponent.propDecorators = {
        "params": [{ type: core_1.Input },],
        "showFiles": [{ type: core_1.Input },],
        "id": [{ type: core_1.Input },],
        "multiple": [{ type: core_1.Input },],
        "searchLabel": [{ type: core_1.Input },],
        "soloLectura": [{ type: core_1.Input },],
        "simpleFile": [{ type: core_1.Input },],
        "fileList": [{ type: core_1.Input },],
        "onFilesUpload": [{ type: core_1.Output },],
    };
    return BitFormUploadComponent;
}());
exports.BitFormUploadComponent = BitFormUploadComponent;
//# sourceMappingURL=bit-form-upload.component.js.map