import { EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { AyudaService } from '../service/ayuda.service';
import { ControlValueAccessor } from '@angular/forms';
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: any;
/** TODO: cambiar algunas propiedades que están en castellano como nombre, tipo al inglés: name, type
* Clase que utiliza un custom componente para input text sencillos
* Utiliza la interfaz ControlValueAccessor
*    <bit-input2 [(ngModel)]="filter.fecha"
*       [nombre]="'fecha2'" [control]="myForm.controls.fecha" formControlName="fecha" [tipo]="'date'" >&nbsp;&nbsp;fecha</bit-input2>
*    <bit-input2 [(ngModel)]="filter.login"
*       [nombre]="'login'" [control]="myForm.controls.login" formControlName="login" [tipo]="'text'" >&nbsp;&nbsp;login</bit-input2>
**/
export declare class BitInputComponent implements ControlValueAccessor {
    protected ayudaService: AyudaService;
    control: FormControl;
    nombre: any;
    nombreDirectiva: any;
    label: string;
    tipo: String;
    estilo: String;
    tooltiptexto: String;
    tooltipposicion: String;
    ayuda: string;
    suggestions: any[];
    suggestionField: string;
    placeholder: string;
    readOnly: boolean;
    hideLabel: boolean;
    disabled: boolean;
    valueRadioButton: any;
    fechaMinima: Date;
    fechaMaxima: Date;
    calendarReadOnlyInput: boolean;
    instanciaPipe: any;
    completeMethod: EventEmitter<string>;
    onSelect: EventEmitter<string>;
    onChange: EventEmitter<string>;
    private forceObligatorio;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    constructor(ayudaService: AyudaService);
    value: any;
    readonly value_lectura: string;
    changed(event: any): void;
    onBlur(): void;
    onFocus(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    search(event: any): void;
    selectValue(event: any): void;
    LOCALE_ES: any;
    readonly obligatorio: boolean;
    showAyuda(): void;
    setDisabledState(isDisabled: boolean): void;
}
