"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var message_service_1 = require("../../shared/service/message.service");
var idioma_1 = require("../../shared/data/idioma");
var BitNotificationFrontComponent = (function () {
    function BitNotificationFrontComponent(messageService) {
        var _this = this;
        // Nos suscribimos a la espera de que envíen notificaciones de error
        this.subscriptionErrors = messageService.observableNotificationsErrors.subscribe(function (error) {
            _this.showError(error);
        });
        this.subscriptionErrors = messageService.observableErrors.subscribe(function (message) {
            _this.showError(message);
        });
    }
    BitNotificationFrontComponent.prototype.showError = function (error) {
        this.error = idioma_1.Idioma.esEspanyolSeleccionado() ? error.textES : error.textCA;
        this.masInfo = error.masInfo;
        window.scrollTo(0, 0);
    };
    BitNotificationFrontComponent.prototype.cleanError = function () {
        this.error = null;
    };
    BitNotificationFrontComponent.prototype.ngOnDestroy = function () {
        // Prevent memory leak when component destroyed
        this.error = null;
        this.subscriptionErrors.unsubscribe();
    };
    BitNotificationFrontComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-notification-front',
                    template: "\n  <div class=\"alert alert-danger margin-top-20\" role=\"alert\" *ngIf=\"error\"><b>Error:</b> {{error}} <span *ngIf=\"masInfo\">({{masInfo}})</span></div>\n"
                },] },
    ];
    /** @nocollapse */
    BitNotificationFrontComponent.ctorParameters = function () { return [
        { type: message_service_1.MessageService, },
    ]; };
    return BitNotificationFrontComponent;
}());
exports.BitNotificationFrontComponent = BitNotificationFrontComponent;
//# sourceMappingURL=bit-notification-front.component.js.map