import { OnInit, OnChanges, SimpleChange } from '@angular/core';
import { FormControl, ControlValueAccessor } from '@angular/forms';
import { ActivatedRoute } from '@angular/router';
import { AyudaService } from '../service/ayuda.service';
import { SessionSharedService } from '../service/session-shared.service';
export declare const CUSTOM_SELECT_MULTIPLE_CONTROL_VALUE_ACCESSOR: any;
/**
* Clase que utiliza un custom componente para select múltiple de elementos
* Utiliza la interfaz ControlValueAccessor
*    <bit-select [domain]="'DOMAIN_TIPO_LOG'" id="tipolog" [(ngModel)]="filter.tipoLog" [ngModelOptions]="{standalone: true}">&nbsp;&nbsp;Tipus d'operació</bit-select>
*
* @input data: array de objetos a mostrar en el select. Puede ser null, en cuyo caso domain no puede ser null
* @input domain: nombre del dominio que contiene los datos y que nos resolverá la página cuando cargue el componente. Puede ser null, en cuyo caso data no puede ser null
* @input id: identificador del componente select
**/
export declare class BitSelectMultipleComponent implements ControlValueAccessor, OnInit, OnChanges {
    private router;
    private sessionShared;
    protected ayudaService: AyudaService;
    control: FormControl;
    id: any;
    ayuda: string;
    lectura: boolean;
    readOnly: boolean;
    emptyText: string;
    hideLabel: boolean;
    maxSelectedLabels: number;
    listaOpciones: any[];
    private data;
    private domain;
    private forceObligatorio;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    constructor(router: ActivatedRoute, sessionShared: SessionSharedService, ayudaService: AyudaService);
    ngOnInit(): void;
    ngOnChanges(changes: {
        [propKey: string]: SimpleChange;
    }): void;
    postRetrieveData(): void;
    value: any;
    readonly label: any;
    changed(event: any): void;
    onBlur(): void;
    onFocus(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    readonly obligatorio: boolean;
    showAyuda(): void;
}
