import { OnDestroy, EventEmitter } from '@angular/core';
import { ToolbarService } from '../service/toolbar.service';
/**
* Componenente que muestra una barra de botones.
* @Input() componentId contiene el identificador del componente que contiene este toolbar. Es opcional en cuyo caso el valor será "BASE"
* @Output() onToolbarButtonPressed. El componente captura la pulsación de estos botones y envia un evento onToolbarButtonPressed con el nombre del
* botón pulsado.
**/
export declare class BitToolbarComponent implements OnDestroy {
    static FILTER_BUTTON: string;
    static PRINT_BUTTON: string;
    static EXPORT_BUTTON: string;
    static NEW_BUTTON: string;
    static SAVE_BUTTON: string;
    static DELETE_BUTTON: string;
    static ADD_BUTTON: string;
    toolbarOld: any;
    femenino: boolean;
    componentId: string;
    otherActionsDropdown: boolean;
    accionesReclamacionDenuncia: boolean;
    onToolbarButtonPressed: EventEmitter<string>;
    toolbar: any;
    private toolbarService;
    private toolbarSubscription;
    mostrarOtherActionsEnDesplegable: boolean;
    constructor(toolbarService: ToolbarService);
    ngAfterContentInit(): void;
    registerObservable(): void;
    enable(button: string): boolean;
    visible(button: string): boolean;
    label(button: string, defaultLabel: string): string;
    estilo(button: string, defaultValue: string): string;
    showFilter(): void;
    print(): void;
    exportData(): void;
    newElement(): void;
    add(): void;
    save(): void;
    delete(): void;
    otherAction(button: any): void;
    ngOnDestroy(): void;
    setToolbar(newToolbar: any): void;
}
