"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var BitUploadComponent = (function () {
    function BitUploadComponent() {
        this.id = "file";
        this.multiple = false;
        this.onFileChange = new core_1.EventEmitter();
        this.filesToUpload = [];
    }
    BitUploadComponent.prototype.ngAfterContentInit = function () {
        var _this = this;
        this.reset && this.reset.subscribe(function (x) {
            _this.filesToUpload = [];
            _this.inputFile.nativeElement.value = ""; //esto lo hacemos para que se dispare el evento (change) si seleccionan un fichero ya seleccionado
            _this.onFileChange.emit(_this.filesToUpload);
        });
    };
    /** Se dispara cada vez que el usuario selecciona uno o varios ficheros */
    /** Se dispara cada vez que el usuario selecciona uno o varios ficheros */
    BitUploadComponent.prototype.fileChangeEvent = /** Se dispara cada vez que el usuario selecciona uno o varios ficheros */
    function (fileInput) {
        var temp = fileInput.target.files; //ficheros seleccionados
        for (var i = 0; i < temp.length; i++) {
            //añadimos los nuevos ficheros seleccionados a la lista
            this.filesToUpload.push(temp[i]);
        }
        this.onFileChange.emit(this.filesToUpload); //comunicamos hacia arriba los ficheros seleccionados
    };
    /** Se dispara cuando el usuario elimina un fichero de la lista */
    /** Se dispara cuando el usuario elimina un fichero de la lista */
    BitUploadComponent.prototype.removeFile = /** Se dispara cuando el usuario elimina un fichero de la lista */
    function (pos) {
        this.filesToUpload.splice(pos, 1);
        this.inputFile.nativeElement.value = ""; //esto lo hacemos para que se dispare el evento (change) si seleccionan un fichero ya seleccionado
        this.onFileChange.emit(this.filesToUpload);
    };
    BitUploadComponent.prototype.getSearchLabel = function () {
        if (this.searchLabel) {
            return this.searchLabel;
        }
        else {
            return "Cerca " + (this.multiple ? "fitxer/s" : "fitxer") + " al disc dur";
        }
    };
    BitUploadComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bit-upload',
                    template: "\n<div class=\"row separador\"> <!-- *ngIf=\"simple\" -->\n    <div class=\"col-sm-12\"  *ngIf=\"(multiple || filesToUpload.length == 0)\">\n        <label for=\"{{id}}\" class=\"btn btn-upload btn-upload-simple\">\n            {{getSearchLabel()}}&nbsp;&nbsp;<i class=\"fa fa-cloud-upload\"></i>\n        </label>\n    </div>\n    <button type=\"submit\" *ngIf=\"!uploading && filesToUpload.length != 0\" class=\"btn btn-default btn-upload-simple\">Carrega&nbsp;&nbsp;<span class=\"glyphicon glyphicon-cloud-upload\"></span></button>\n    <img *ngIf=\"uploading\" width=\"40\" height=\"40\" src=\"assets/images/load.gif\" />\n    <input #inputFile type=\"file\" id=\"{{id}}\" name=\"{{id}}\" multiple=\"{{ multiple ? 'multiple' : null}}\" (change)=\"fileChangeEvent($event)\">\n    <div class=\"doclist-upload doclist-upload-simple\" *ngIf=\"filesToUpload.length != 0\">\n        <div *ngIf=\"showFiles && filesToUpload != null\" class=\"simple\">\n            <div class=\"row row-upload\" *ngFor=\"let file of filesToUpload; let i=index;\">\n                <div class=\"col-sm-7\">{{file.name}}</div>\n                <div class=\"col-xs-3\">{{file.size}} bytes</div>\n                <div class=\"col-sm-2\">\n                    <button  (click)=\"removeFile(i)\" class=\"btn btn-default  btn-upload-simple\">\n                        <span class=\"fa fa-close\"></span>\n                    </button>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>    \n"
                },] },
    ];
    /** @nocollapse */
    BitUploadComponent.ctorParameters = function () { return []; };
    BitUploadComponent.propDecorators = {
        "simple": [{ type: core_1.Input },],
        "showFiles": [{ type: core_1.Input },],
        "id": [{ type: core_1.Input },],
        "multiple": [{ type: core_1.Input },],
        "reset": [{ type: core_1.Input },],
        "searchLabel": [{ type: core_1.Input },],
        "uploading": [{ type: core_1.Input },],
        "inputFile": [{ type: core_1.ViewChild, args: ['inputFile',] },],
        "onFileChange": [{ type: core_1.Output },],
    };
    return BitUploadComponent;
}());
exports.BitUploadComponent = BitUploadComponent;
//# sourceMappingURL=bit-upload.component.js.map