"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var focus_service_1 = require("../service/focus.service");
var FocusRegisterDirective = (function () {
    function FocusRegisterDirective(elRef, renderer, focusService) {
        this.elRef = elRef;
        this.renderer = renderer;
        this.focusService = focusService;
    }
    FocusRegisterDirective.prototype.onFocus = function () { this.focusService.focus(this.elRef.nativeElement.id); };
    FocusRegisterDirective.prototype.onBlur = function () { this.focusService.clear(); };
    FocusRegisterDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'input,select,textarea,bit-input,bit-select' //TODO: no funciona bien con autoComplete. No se registra el focus
                },] },
    ];
    /** @nocollapse */
    FocusRegisterDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef, },
        { type: core_1.Renderer, },
        { type: focus_service_1.FocusService, },
    ]; };
    FocusRegisterDirective.propDecorators = {
        "onFocus": [{ type: core_1.HostListener, args: ['focus',] },],
        "onBlur": [{ type: core_1.HostListener, args: ['blur',] },],
    };
    return FocusRegisterDirective;
}());
exports.FocusRegisterDirective = FocusRegisterDirective;
//# sourceMappingURL=focus-register.directive.js.map