import { Router, Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { Observable } from 'rxjs/Observable';
import { Domain } from '../data/domain';
import { DomainCachedService } from '../service/domain-cached.service';
export declare class DomainResolve implements Resolve<{
    [key: string]: Observable<Domain[]>;
}> {
    private service;
    private router;
    constructor(service: DomainCachedService, router: Router);
    /**
     * Permite obtener los datos del dominio de tipos de log de la cache de sessión o del servidor si no tuviéramos
     * los datos en caché
     */
    resolve(route: ActivatedRouteSnapshot): {
        [key: string]: Observable<Domain[]>;
    };
}
