import { FormGroup } from '@angular/forms';
export declare class CustomValidators {
    static config: {
        'required': string;
        'invalidDate': string;
        'invalidEmailAddress': string;
        'invalidEmailCSVAddress': string;
        'invalidLogin': string;
        'invalidEtiqueta': string;
        'invalidName': string;
        'invalidCodigo': string;
        'invalidAlfanumerico': string;
        'invalidCantidad': string;
        'invalidEnteroPositivo': string;
        'invalidCantidadDecimal': string;
        'invalidNumeroPositivo': string;
        'invalidCodigoPostal': string;
        'invalidTelefono': string;
        'invalidPorcentaje': string;
        'invalidUrl': string;
        'invalidPath': string;
        'invalidNIF': string;
        'invalidCIF': string;
        'invalidAnyo': string;
        'maxlength': string;
        'invalidNumeroDocumentoTipoDocumento': string;
        'direccionIncompleta': string;
        'requiredExtraData': string;
        'requiredProtocoloId': string;
        'requiredTipoDatoTipoCheck': string;
        'invalidRangoFechaFinPosteriorInicio': string;
        'invalidRangoHoraFinPosteriorInicio': string;
        'invalidDateTimeNotAfterCurrentDate': string;
        'agendaInvalidRangoFechaFinPosteriorInicio': string;
        'agendaInvalidRangoFechaCampanya': string;
        'agendaInvalidSeleccionServicios': string;
        'agendaInvalidPlazasServicioMultiple': string;
        'agendaInvalidSeleccionHorario': string;
    };
    static CustomValidatorsMap: {
        "codigoNumerico": (control: any) => {
            [s: string]: boolean;
        };
        "codigoAlfanumerico": (control: any) => {
            [s: string]: boolean;
        };
        "nombre": (control: any) => {
            [s: string]: boolean;
        };
        "numero": (control: any) => {
            [s: string]: boolean;
        };
        "entero": (control: any) => {
            [s: string]: boolean;
        };
        "numeroPositivo": (control: any) => {
            [s: string]: boolean;
        };
        "enteroPositivo": (control: any) => {
            [s: string]: boolean;
        };
        "cif": (control: any) => {
            [s: string]: boolean;
        };
        "nif": (control: any) => {
            [s: string]: boolean;
        };
        "cp": (control: any) => {
            [s: string]: boolean;
        };
        "telefono": (control: any) => {
            [s: string]: boolean;
        };
        "email": (control: any) => {
            [s: string]: boolean;
        };
        "anyo": (control: any) => {
            [s: string]: boolean;
        };
    };
    static getValidatorErrorMessage(code: string): any;
    static compose(validators: Function[]): Function;
    static required(control: any): {
        [s: string]: boolean;
    };
    static dataValidator(control: any): {
        [s: string]: boolean;
    };
    static timeValidator(control: any): {
        [s: string]: boolean;
    };
    static emailValidator(control: any): {
        [s: string]: boolean;
    };
    static emailCSVValidator(control: any): {
        [s: string]: boolean;
    };
    static loginValidator(control: any): {
        [s: string]: boolean;
    };
    static etiquetaValidator(control: any): {
        [s: string]: boolean;
    };
    static nombreValidator(control: any): {
        [s: string]: boolean;
    };
    static codigoValidator(control: any): {
        [s: string]: boolean;
    };
    static alfanumericoValidator(control: any): {
        [s: string]: boolean;
    };
    static cantidadValidator(control: any): {
        [s: string]: boolean;
    };
    static enteroPositivoValidator(control: any): {
        [s: string]: boolean;
    };
    static cantidadDecimalValidator(control: any): {
        [s: string]: boolean;
    };
    static numeroPositivoValidator(control: any): {
        [s: string]: boolean;
    };
    static codigoPostalValidator(control: any): {
        [s: string]: boolean;
    };
    static telefonoValidator(control: any): {
        [s: string]: boolean;
    };
    static buildLongitudValidator(lon: number): (control: any) => {};
    static buildCantidadMinValidator(min: number): (control: any) => {};
    static buildCantidadMaxValidator(max: number): (control: any) => {};
    static buildCantidadMinMaxValidator(min: number, max: number): (control: any) => {};
    static porcentajeValidator(control: any): {
        [s: string]: boolean;
    };
    static urlValidator(control: any): {
        [s: string]: boolean;
    };
    static pathValidator(control: any): {
        [s: string]: boolean;
    };
    /**
     * Retorna un string con todos los errores que contiene el formulario separados por saltos de línea.
     */
    static validateForm(form: FormGroup, prefix?: string): string[];
    /**
     * Recibe un objeto con las propiedades {fieldTipo, fieldNumero} y devuelve un validador de formulario para documentos de identificación.
     * El error que puede generarse es del tipo 'invalidNumeroDocumentoTipoDocumento'.
     */
    static buildNumeroDocumentoValidator({fieldTipo, fieldNumero}?: {
        fieldTipo?: string;
        fieldNumero?: string;
    }): Function;
    static nifValidator(control: any): {
        [s: string]: boolean;
    };
    static cifValidator(control: any): {
        [s: string]: boolean;
    };
    static anyoValidator(control: any): {
        [s: string]: boolean;
    };
    static tipoDatoTipoValidator({fieldTramitacion, fieldInspeccion, fieldAutoevaluacion}?: {
        fieldTramitacion?: string;
        fieldInspeccion?: string;
        fieldAutoevaluacion?: string;
    }): Function;
    static isValidDNI(value: string): boolean;
    static isValidCIF(value: string): boolean;
    static isValidNIF(value: string): boolean;
    static isValidNIE(value: string): boolean;
    static rangoFechasValidator({fieldFechaInicio, fieldFechaFin}?: {
        fieldFechaInicio?: string;
        fieldFechaFin?: string;
    }): Function;
    static rangoHorasValidator({fieldHoraInicio, fieldHoraFin}?: {
        fieldHoraInicio?: string;
        fieldHoraFin?: string;
    }): Function;
    static dateTimeNotAfterCurrentDateValidator({fieldfecha, fieldHora}?: {
        fieldfecha?: string;
        fieldHora?: string;
    }): Function;
}
