"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var UploadService = (function () {
    function UploadService(apiUrl) {
        this.apiUrl = apiUrl;
        this.UPLOAD_URL = this.apiUrl + "ficheros/upload";
        console.log("UploadService creado con API_URL:" + this.UPLOAD_URL);
    }
    /**
     * servicio para hacer upload de ficheros al servidor
     * @param url indica la URL a la que queremos subir el fichero. Si es null se utilizará el endpoint por defecto definido en UPLOAD_URL
     * @param files fichero(s) a subir al servidor
     * @param params parámetros adicionales en forma de Map para hacer la subida
     */
    /**
         * servicio para hacer upload de ficheros al servidor
         * @param url indica la URL a la que queremos subir el fichero. Si es null se utilizará el endpoint por defecto definido en UPLOAD_URL
         * @param files fichero(s) a subir al servidor
         * @param params parámetros adicionales en forma de Map para hacer la subida
         */
    UploadService.prototype.upload = /**
         * servicio para hacer upload de ficheros al servidor
         * @param url indica la URL a la que queremos subir el fichero. Si es null se utilizará el endpoint por defecto definido en UPLOAD_URL
         * @param files fichero(s) a subir al servidor
         * @param params parámetros adicionales en forma de Map para hacer la subida
         */
    function (url, files, params) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var formData = new FormData();
            for (var key in params) {
                formData.append(key, params[key]);
            }
            var xhr = new XMLHttpRequest();
            for (var i = 0; i < files.length; i++) {
                formData.append("file", files[i], files[i].name);
            }
            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4) {
                    if (xhr.status === 200) {
                        resolve(xhr.response);
                    }
                    else {
                        reject(xhr.response); //TODO: No llega a los componentes
                    }
                }
            };
            xhr.open("POST", (url == null) ? _this.UPLOAD_URL : url, true);
            xhr.send(formData);
        });
    };
    UploadService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    UploadService.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: core_1.Inject, args: ["API_URL",] },] },
    ]; };
    return UploadService;
}());
exports.UploadService = UploadService;
//# sourceMappingURL=upload.service.js.map